Finance::Quote::YahooJSON(3pm)

NAME
Finance::Quote::YahooJSON - Obtain quotes from Yahoo Finance through JSON call

SYNOPSIS
    use Finance::Quote;

    $q = Finance::Quote->new;

    %info = $q->fetch('yahoo_json','SBIN.NS');

DESCRIPTION
This module fetches information from Yahoo as JSON

This module is loaded by default on a Finance::Quote object. It's also possible to load it explicitly by placing "YahooJSON" in the argument list to Finance::Quote->new().

This module provides the "yahoo_json" fetch method.

LABELS RETURNED
The following labels may be returned by Finance::Quote::YahooJSON : name, last, isodate, volume, currency, method, exchange, type, div_yield eps pe year_range open high low close.

SEE ALSO